# Class: Entities.Class

Defined in: | node_modules/codo/lib/entities/class.coffee
Inherits: | Entity

## Variables Summary

name =

      "Class"

## Class Method Summary

- . (void) looksLike(node)

## Instance Method Summary

- # (void) determineContainment(node) Determines if the class definition at given node is using @assignation and if in such case this class is nested into another one
- # (void) fetchParent(source)
- # (void) fetchName(source, selfish, container)
- # (void) linkify()
- # (void) linkifyAssign(node)
- # (void) linkifyValue(node)
- # (void) linkifyCall(node)
- # (void) linkifyParent()
- # (void) linkifyMixins()
- # (void) effectiveMethods()
- # (void) allMethods()
- # (void) inherited(getter)
- # (void) inheritedMethods()
- # (void) inheritedVariables()
- # (void) inheritedProperties()
- # (void) inspect()

## Inherited Method Summary

### Methods inherited from Entity

.is #linkify #visible #fetchName #lookup

## Class Method Details

. (void) looksLike(node)

## Constructor Details

# (void) constructor(environment, file, node)

## Instance Method Details

# (void) determineContainment(node)

Determines if the class definition at given node is using @assignation and if in such case this class is nested into another one

# (void) fetchParent(source)

# (void) fetchName(source, selfish, container)

# (void) linkify()

# (void) linkifyAssign(node)

# (void) linkifyValue(node)

# (void) linkifyCall(node)

# (void) linkifyParent()

# (void) linkifyMixins()

# (void) effectiveMethods()

# (void) allMethods()

# (void) inherited(getter)

# (void) inheritedMethods()

# (void) inheritedVariables()

# (void) inheritedProperties()

# (void) inspect()

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input